summaryrefslogtreecommitdiffstats
path: root/system/rmw/rmw.SlackBuild
diff options
context:
space:
mode:
author Andy Alt <andyqwerty@users.sourceforge.net>2011-03-05 23:37:10 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-03-05 23:37:10 -0300
commit4a6ea94efa3c7a7231dacfb62b29e8de1cfc64a1 (patch)
treea19586b547174535dd9de47e5e8968a3ea8d9b57 /system/rmw/rmw.SlackBuild
parentc463dd63793524e6206cc84f61d30b9982e6040b (diff)
downloadslackbuilds-4a6ea94efa3c7a7231dacfb62b29e8de1cfc64a1.tar.gz
slackbuilds-4a6ea94efa3c7a7231dacfb62b29e8de1cfc64a1.tar.xz
system/rmw: Updated for version 0.98.3.9beta.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system/rmw/rmw.SlackBuild')
-rw-r--r--system/rmw/rmw.SlackBuild33
1 files changed, 4 insertions, 29 deletions
diff --git a/system/rmw/rmw.SlackBuild b/system/rmw/rmw.SlackBuild
index 65acfcccff..906114f0c4 100644
--- a/system/rmw/rmw.SlackBuild
+++ b/system/rmw/rmw.SlackBuild
@@ -5,40 +5,18 @@
# Written by (Andy Alt) (andyqwerty@users.sourceforge.net)
PRGNAM=rmw
-VERSION=${VERSION:-0.98.3.7beta}
+VERSION=${VERSION:-0.98.3.9beta}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i486 ;;
- arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) ARCH=$( uname -m ) ;;
- esac
-fi
+ARCH=noarch # only bash script here
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -53,13 +31,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux
+ --docdir=/usr/doc/$PRGNAM-$VERSION
make
make install DESTDIR=$PKG